'''
Advanced Power CPU Frequency Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class CPUFrequency(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 5000
    self.value = 0
    self.file = '/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq'
    self.async = True

  def process(self, lines):
    return long(lines[0])/1000
