'''
Advanced Power Diskspace Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithShellSource

class Diskspace(AbstractModuleWithShellSource):

  def pre_init(self):
    self.interval = 5000
    self.value = []
    self.command = 'df | egrep \'/$|/media\' | awk {\'print $6\" \"$4\" \"$3\" \"$2\'} | sort'

  def process(self, lines):
    tmp = []
    for x in lines:
      data = x.rsplit(' ')
      tmp.append((data[0], long(data[1]), long(data[2]), long(data[3])))
    return tmp
