'''
Advanced Power Free Swap Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleMeminfo

class FreeSwap(AbstractModuleMeminfo):

  def pre_init_meminfo(self):
    self.interval = 10000
    self.fields = ['SwapCached', 'SwapFree']

"""
from modules.AbstractModules import AbstractModuleWithFileSource

class FreeSwap(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/proc/swaps'

  def process(self, lines):
    lines = lines[1:]
    free = sum([int(l.rsplit('\t')[3]) for l in lines])
    total = sum([int(l.rsplit('\t')[2]) for l in lines])
    return total - free
"""