'''
Advanced Power Light Sensor Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

import os.path
from modules.AbstractModules import AbstractModuleWithFileSource

class LightSensor(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/devices/platform/i2c_omap.2/i2c-0/0-0029/lux'
    self.available = os.path.exists("/usr/lib/mce/modules/libfilter-brightness-als.so") and os.path.exists("/usr/lib/mce/modules/libfilter-brightness-simple.so")

  def process(self, lines):
    return long(lines[0])
