'''
Advanced Power Battery Wraper SmartQx
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from wrappers.battery.AbstractBattery import AbstractBattery

class BatterySmartQx(AbstractBattery):

  def pre_init(self):
    self.friendly_name = 'SmartQx'
    self.dep_packages = ['hald-addon-smartqx']
    self.interfaces_map = {}
    self.export_signals = {'battery_charger_is_connected': {},
                           'battery_charger_is_disconnected': {},
                           'battery_is_full': {},
                           'battery_percentage': {},
                           'battery_timeleft_info': {}
                          }
  def post_init(self):
    pass

  def get_percent(self, value, props):
    return 'unknown'

  def get_status(self):
    pass

  def get_timeleft(self):
    return [self.timeleft_idle, self.timeleft_active]
