'''
Advanced Power Device Mode Wraper Dummy
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from Util import Shell
from wrappers.device_mode.AbstractDeviceMode import AbstractDeviceMode

class DeviceModeDummy(AbstractDeviceMode):

  def pre_init(self):
    self.friendly_name = 'Dummy'
    self.dep_packages = ['advanced-power-monitor']
    self.interfaces_map = {}
    self.export_signals = {'device_mode': {},
                           'system_inactive': {}
                          }

  def get_status(self):
    pass

  def device_mode_handler(self, *args):
    pass

  def get_device_mode(self):
    return 'unknown'

  def set_device_mode(self, mode):
    pass

  def system_inactive_handler(self):
    pass

  def get_system_inactive(self):
    return False

  def set_system_inactive(self, mode):
    pass

  def tklock(self):
    pass

  def reboot(self):
    Shell.run_command_async("reboot")

  def shutdown(self):
    Shell.run_command_async("shutdown -h now")
