'''
Advanced Power Device Name Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource
from Util import System

class DeviceName(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = -1
    self.value = 0
    self.file = '/proc/component_version'

  def process(self, lines):
    code = lines[0].rsplit('product')[1].strip(' ')
    return '%s (%s)' % (System.get_device_name(code), code)