'''
Advanced Power Uptime Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class Uptime(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 60000
    self.value = 0
    self.file = '/proc/uptime'

  def process(self, lines):
    return long(lines[0].rsplit('.')[0])
